WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: RPIO install error  (Read 216 times)

Offline pipeult

  • WikiUser
  • *
  • Posts: 3
RPIO install error
« on: March 22, 2017, 06:16:02 AM »
Hello,

I use a RPi3 and piCore 8.15
I have just installed the extension python3.6.tcz on a fresh install (from scratch)
The extension Python-RPi.GPIO.tcz does not allow to manage TCP socket interrupts.
So, I used pip3.6 to install RPIO ( newbielink:https://pypi.python.org/pypi/RPIO/0.10.0 [nonactive]) who allows it
This is what I get in turn:

Code: newbielink:javascript:void(0); [nonactive]
tc@box:/usr/local/bin$ sudo pip3.6 install RPIO
The directory '/home/tc/.cache/pip/http' or its parent directory is not owned by the current user and the cache has been disabled. Please check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
The directory '/home/tc/.cache/pip' or its parent directory is not owned by the current user and caching wheels has been disabled. check the permissions and owner of that directory. If executing pip with sudo, you may want sudo's -H flag.
Collecting RPIO
  Downloading RPIO-0.10.0.tar.gz
    Complete output from command python setup.py egg_info:
    Traceback (most recent call last):
      File "<string>", line 1, in <module>
      File "/tmp/pip-build-jcsieolm/RPIO/setup.py", line 24, in <module>
        long_description=read('README.rst'),
      File "/tmp/pip-build-jcsieolm/RPIO/setup.py", line 6, in read
        return open(os.path.join(os.path.dirname(__file__), fname)).read()
      File "/usr/local/lib/python3.6/encodings/ascii.py", line 26, in decode
        return codecs.ascii_decode(input, self.errors)[0]
    UnicodeDecodeError: 'ascii' codec can't decode byte 0xc2 in position 77: ordinal not in range(128)
   
    ----------------------------------------
Command "python setup.py egg_info" failed with error code 1 in /tmp/pip-build-jcsieolm/RPIO/

Any solution ?

Offline bmarkus

  • Administrator
  • Hero Member
  • *****
  • Posts: 6853
    • My Community Forum
Re: RPIO install error
« Reply #1 on: March 22, 2017, 06:36:26 AM »
Did you try 2.7?
Béla
Ham Radio callsign: HA5DI

"Amateur Radio: The First Technology-Based Social Network."

Offline pipeult

  • WikiUser
  • *
  • Posts: 3
Re: RPIO install error
« Reply #2 on: March 22, 2017, 08:34:08 AM »
no as my work is with 3.6

Offline pipeult

  • WikiUser
  • *
  • Posts: 3
Re: RPIO install error
« Reply #3 on: March 24, 2017, 05:08:34 AM »
Hello,

Having looked for a long time, here is how my installation of RPIO succeeded:
- a fresh piCore 8.15 install
- a fresh python2.7 install
- and the command   "pip install newbielink:https://github.com/metachris/RPIO/archive/v2.zip [nonactive]"

Solve two problems:
- UnicodeDecodeError
- SystemError: This module can only be run on a Raspberry Pi! (normal version don't like RPi3, the v2 yes)

Thanks to the RPIO's issuers and metachris
Thanks Béla